PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
Functions
PDL API Reference » MIPI DSI (MIPI Display Serial Interface)

## General Description

## Functions
cy_en_mipidsi_status_t | Cy_MIPIDSI_Init (GFXSS_MIPIDSI_Type *base, cy_stc_mipidsi_config_t const *config, cy_stc_mipidsi_context_t *context)
| Initializes MIPI DSI IP Block. More...
void | Cy_MIPIDSI_Enable (GFXSS_MIPIDSI_Type *base)
| Enables MIPI DSI IP Block. More...
void | Cy_MIPIDSI_Disable (GFXSS_MIPIDSI_Type *base)
| Disable MIPI DSI IP Block. More...
void | Cy_MIPIDSI_DeInit (GFXSS_MIPIDSI_Type *base)
| DeInitializes MIPI DSI IP Block resources. More...
void | Cy_MIPIDSI_SetInterruptMask (GFXSS_MIPIDSI_Type *base, uint32_t interrupt_mask)
| Set interrupt mask for MIPI DSI Block. More...
uint32_t | Cy_MIPIDSI_GetInterruptMask (GFXSS_MIPIDSI_Type const *base)
| Get MIPI DSI Block interrupt mask. More...
uint32_t | Cy_MIPIDSI_GetInterruptStatusMasked (GFXSS_MIPIDSI_Type const *base)
| Get interrupt status. More...
cy_en_mipidsi_status_t | Cy_MIPIDSI_WritePacket (GFXSS_MIPIDSI_Type *base, const uint8_t *buf, uint32_t length)
| Writes DCS packet on DSI interface. More...
cy_en_mipidsi_status_t | Cy_MIPIDSI_GenericWritePacket (GFXSS_MIPIDSI_Type *base, const uint8_t *buf, uint32_t length)
| Writes Generic packet on DSI interface. More...
cy_en_mipidsi_status_t | Cy_MIPIDSI_ReadPacket (GFXSS_MIPIDSI_Type *base, cy_en_mipidsi_packet_type_t packet_type, uint32_t *buf, uint32_t length)
| Read packet from DSI. More...
cy_en_mipidsi_status_t | Cy_MIPIDSI_EnterSleep (GFXSS_MIPIDSI_Type *base)
| Sends MIPI DSI DCS Command MIPI_DCS_ENTER_SLEEP_MODE. More...
cy_en_mipidsi_status_t | Cy_MIPIDSI_ExitSleep (GFXSS_MIPIDSI_Type *base)
| Sends MIPI DSI DCS Command MIPI_DCS_EXIT_SLEEP_MODE. More...
cy_en_mipidsi_status_t | Cy_MIPIDSI_SoftReset (GFXSS_MIPIDSI_Type *base)
| Sends MIPI DSI DCS Command MIPI_DCS_SOFT_RESET. More...
cy_en_mipidsi_status_t | Cy_MIPIDSI_DisplayON (GFXSS_MIPIDSI_Type *base)
| Sends MIPI DSI DCS Command MIPI_DCS_SET_DISPLAY_ON. More...
cy_en_mipidsi_status_t | Cy_MIPIDSI_DisplayOFF (GFXSS_MIPIDSI_Type *base)
| Sends MIPI DSI DCS Command MIPI_DCS_SET_DISPLAY_OFF. More...
cy_en_mipidsi_status_t | Cy_MIPIDSI_EnterULPM (GFXSS_MIPIDSI_Type *base)
| Enter Ultra Low Power Mode for both clock and data lines. More...
cy_en_mipidsi_status_t | Cy_MIPIDSI_ExitULPM (GFXSS_MIPIDSI_Type *base)
| Exit Ultra Low Power Mode for both clock and data lines. More...
cy_en_mipidsi_status_t | Cy_MIPIDSI_EnterULPM_Data (GFXSS_MIPIDSI_Type *base)
| Enter Ultra Low Power Mode for data lines. More...
cy_en_mipidsi_status_t | Cy_MIPIDSI_ExitULPM_Data (GFXSS_MIPIDSI_Type *base)
| Exit Ultra Low Power Mode for data lines. More...
cy_en_mipidsi_status_t | Cy_MIPIDSI_CMD_MODE_DCS_SetLowPower (GFXSS_MIPIDSI_Type *base, bool enable)
| Enable Low Power transfer of DCS packets for CMD mode displays. More...

## Function Documentation

## ◆ Cy_MIPIDSI_Init()

cy_en_mipidsi_status_t Cy_MIPIDSI_Init | ( | GFXSS_MIPIDSI_Type * | base,
|  | cy_stc_mipidsi_config_t const * | config,
|  | cy_stc_mipidsi_context_t * | context
| ) |  |

Initializes MIPI DSI IP Block.

Parameters

  base | Pointer to the MIPI DSI register base address.
  config | Pointer to the configuration structure.
  context | context information used by the driver.

Returns
  Initialization status.

## ◆ Cy_MIPIDSI_Enable()

void Cy_MIPIDSI_Enable | ( | GFXSS_MIPIDSI_Type * | base | ) |

Enables MIPI DSI IP Block.

Parameters

  base | Pointer to the MIPI DSI register base address.

## ◆ Cy_MIPIDSI_Disable()

void Cy_MIPIDSI_Disable | ( | GFXSS_MIPIDSI_Type * | base | ) |

Disable MIPI DSI IP Block.

Parameters

  base | Pointer to the MIPI DSI register base address.

## ◆ Cy_MIPIDSI_DeInit()

void Cy_MIPIDSI_DeInit | ( | GFXSS_MIPIDSI_Type * | base | ) |

DeInitializes MIPI DSI IP Block resources.

Parameters

  base | Pointer to the MIPI DSI register base address.

## ◆ Cy_MIPIDSI_SetInterruptMask()

void Cy_MIPIDSI_SetInterruptMask | ( | GFXSS_MIPIDSI_Type * | base,
|  | uint32_t | interrupt_mask
| ) |  |

Set interrupt mask for MIPI DSI Block.

Parameters

  base | Pointer to the MIPI DSI register base address.
  interrupt_mask | interrupt mask containing the list of interrupts to be notified.

See Interrupt Mask Macros for the set of constants.

## ◆ Cy_MIPIDSI_GetInterruptMask()

uint32_t Cy_MIPIDSI_GetInterruptMask | ( | GFXSS_MIPIDSI_Type const * | base | ) |

Get MIPI DSI Block interrupt mask.

Parameters

  base | Pointer to the MIPI DSI register base address.

Returns
  interrupt mask.

See Interrupt Mask Macros for the set of constants.

## ◆ Cy_MIPIDSI_GetInterruptStatusMasked()

uint32_t Cy_MIPIDSI_GetInterruptStatusMasked | ( | GFXSS_MIPIDSI_Type const * | base | ) |

Get interrupt status.

Parameters

  base | Pointer to the MIPI DSI register base address.

Returns
  interrupt status

See Interrupt Mask Macros for the set of constants.

## ◆ Cy_MIPIDSI_WritePacket()

cy_en_mipidsi_status_t Cy_MIPIDSI_WritePacket | ( | GFXSS_MIPIDSI_Type * | base,
|  | const uint8_t * | buf,
|  | uint32_t | length
| ) |  |

Writes DCS packet on DSI interface.

Parameters

  base | Pointer to the MIPI DSI register base address.
  buf | buffer containing the packet.
  length | length of the packet.

Returns
  packet write status.

## ◆ Cy_MIPIDSI_GenericWritePacket()

cy_en_mipidsi_status_t Cy_MIPIDSI_GenericWritePacket | ( | GFXSS_MIPIDSI_Type * | base,
|  | const uint8_t * | buf,
|  | uint32_t | length
| ) |  |

Writes Generic packet on DSI interface.

Parameters

  base | Pointer to the MIPI DSI register base address.
  buf | buffer containing the packet.
  length | length of the packet.

Returns
  packet write status.

## ◆ Cy_MIPIDSI_ReadPacket()

cy_en_mipidsi_status_t Cy_MIPIDSI_ReadPacket | ( | GFXSS_MIPIDSI_Type * | base,
|  | cy_en_mipidsi_packet_type_t | packet_type,
|  | uint32_t * | buf,
|  | uint32_t | length
| ) |  |

Read packet from DSI.

Parameters

  base | Pointer to the MIPI DSI register base address.
  packet_type | Packet type either short or long packet.
  buf | pointer to the output buffer read from the interface.
  length | length of the packet.

Returns
  packet read status.

## ◆ Cy_MIPIDSI_EnterSleep()

cy_en_mipidsi_status_t Cy_MIPIDSI_EnterSleep | ( | GFXSS_MIPIDSI_Type * | base | ) |

Sends MIPI DSI DCS Command MIPI_DCS_ENTER_SLEEP_MODE.

Parameters

  base | Pointer to the MIPI DSI register base address.

Returns
  Command transfer status.

## ◆ Cy_MIPIDSI_ExitSleep()

cy_en_mipidsi_status_t Cy_MIPIDSI_ExitSleep | ( | GFXSS_MIPIDSI_Type * | base | ) |

Sends MIPI DSI DCS Command MIPI_DCS_EXIT_SLEEP_MODE.

Parameters

  base | Pointer to the MIPI DSI register base address.

Returns
  Command transfer status.

## ◆ Cy_MIPIDSI_SoftReset()

cy_en_mipidsi_status_t Cy_MIPIDSI_SoftReset | ( | GFXSS_MIPIDSI_Type * | base | ) |

Sends MIPI DSI DCS Command MIPI_DCS_SOFT_RESET.

Parameters

  base | Pointer to the MIPI DSI register base address.

Returns
  Command transfer status.

## ◆ Cy_MIPIDSI_DisplayON()

cy_en_mipidsi_status_t Cy_MIPIDSI_DisplayON | ( | GFXSS_MIPIDSI_Type * | base | ) |

Sends MIPI DSI DCS Command MIPI_DCS_SET_DISPLAY_ON.

Parameters

  base | Pointer to the MIPI DSI register base address.

Returns
  Command transfer status.

## ◆ Cy_MIPIDSI_DisplayOFF()

cy_en_mipidsi_status_t Cy_MIPIDSI_DisplayOFF | ( | GFXSS_MIPIDSI_Type * | base | ) |

Sends MIPI DSI DCS Command MIPI_DCS_SET_DISPLAY_OFF.

Parameters

  base | Pointer to the MIPI DSI register base address.

Returns
  Command transfer status.

## ◆ Cy_MIPIDSI_EnterULPM()

cy_en_mipidsi_status_t Cy_MIPIDSI_EnterULPM | ( | GFXSS_MIPIDSI_Type * | base | ) |

Enter Ultra Low Power Mode for both clock and data lines.

Parameters

  base | Pointer to the MIPI DSI register base address.

Returns
  Status of the operation.

## ◆ Cy_MIPIDSI_ExitULPM()

cy_en_mipidsi_status_t Cy_MIPIDSI_ExitULPM | ( | GFXSS_MIPIDSI_Type * | base | ) |

Exit Ultra Low Power Mode for both clock and data lines.

Parameters

  base | Pointer to the MIPI DSI register base address.

Returns
  Status of the operation.

## ◆ Cy_MIPIDSI_EnterULPM_Data()

cy_en_mipidsi_status_t Cy_MIPIDSI_EnterULPM_Data | ( | GFXSS_MIPIDSI_Type * | base | ) |

Enter Ultra Low Power Mode for data lines.

Parameters

  base | Pointer to the MIPI DSI register base address.

Returns
  Status of the operation.

## ◆ Cy_MIPIDSI_ExitULPM_Data()

cy_en_mipidsi_status_t Cy_MIPIDSI_ExitULPM_Data | ( | GFXSS_MIPIDSI_Type * | base | ) |

Exit Ultra Low Power Mode for data lines.

Parameters

  base | Pointer to the MIPI DSI register base address.

Returns
  Status of the operation.

## ◆ Cy_MIPIDSI_CMD_MODE_DCS_SetLowPower()

cy_en_mipidsi_status_t Cy_MIPIDSI_CMD_MODE_DCS_SetLowPower | ( | GFXSS_MIPIDSI_Type * | base,
|  | bool | enable
| ) |  |

Enable Low Power transfer of DCS packets for CMD mode displays.

Parameters

  base | Pointer to the MIPI DSI register base address.
  enable | Enable/Disable Low Power transfer of DCS packets for CMD mode displays.

Returns
  Status of the operation.

Note
  Default configuration for Command mode displays is set to send command
  mode data in HS mode. Some panels do not support HS mode for panel commands,
  in that case this function can be used to enable Low Power transfer of DCS
  packets.